// https://www.nomadproject.io/docs/agent/configuration/index.html

data_dir  = "/var/lib/nomad"

bind_addr = "0.0.0.0" # the default

advertise {
  // Defaults to the first private IP address.
  // http = "1.2.3.4"
  // rpc  = "1.2.3.4"
  // serf = "1.2.3.4:5648" # non-default ports may be specified
}

datacenter = "{{ nomad_dc }}"
region = "{{ nomad_region }}"

server {
  enabled          = true
  bootstrap_expect = 3
  server_join {
    // retry_join = [ "1.1.1.1", "2.2.2.2" ]

    retry_join = [
    {% for host in groups.nomad_srv %}
    {% if loop.index == loop.length -%}
    "{{ hostvars[host]['ansible_default_ipv4']['address'] }}"
    {% else -%}
    "{{ hostvars[host]['ansible_default_ipv4']['address'] }}",
    {% endif -%}
    {% endfor -%}
]

    retry_max = 3
    retry_interval = "15s"
  }
}

client {
  enabled       = false

  // host_volume "mc_nfs" {
  //     path = "{{ mc_nomad_path }}"
  //     read_only = false
  // }

}
